Skip to main content
GET
/
webhooks
/
{id}
/
deliveries
/
{delivery_id}
Get a webhook delivery
curl --request GET \
  --url https://api.questra.ai/webhooks/{id}/deliveries/{delivery_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Org-Id: <x-org-id>'
{
  "id": "<string>",
  "webhook_id": "<string>",
  "event": "<string>",
  "status": "succeeded",
  "attempt": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "status_code": 123,
  "request_body": "<string>",
  "response_body": "<string>",
  "duration_ms": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Org-Id
string
required

The ID of the organization to make requests against. Found on your Settings page.

Path Parameters

id
string
required
delivery_id
string
required

Response

200 - application/json

Delivery attempt

A single delivery attempt for a webhook

id
string
required
webhook_id
string
required
event
string
required

The event type that was delivered

status
enum<string>
required

Whether the delivery was accepted by the endpoint

Available options:
succeeded,
failed
attempt
integer
required

Attempt number (1 = first try, 2+ = retries)

created_at
string<date-time>
required
status_code
integer | null

HTTP status code returned by the endpoint

request_body
string | null

JSON payload sent to the endpoint

response_body
string | null

Response body returned by the endpoint (truncated to 10 KB)

duration_ms
integer | null

Round-trip time in milliseconds